SOURCES: exim.cron.db - get spooldir from exim config

arekm arekm at pld-linux.org
Thu Sep 21 08:46:21 CEST 2006


Author: arekm                        Date: Thu Sep 21 06:46:21 2006 GMT
Module: SOURCES                       Tag: HEAD
---- Log message:
- get spooldir from exim config

---- Files affected:
SOURCES:
   exim.cron.db (1.7 -> 1.8) 

---- Diffs:

================================================================
Index: SOURCES/exim.cron.db
diff -u SOURCES/exim.cron.db:1.7 SOURCES/exim.cron.db:1.8
--- SOURCES/exim.cron.db:1.7	Thu Sep 21 08:42:00 2006
+++ SOURCES/exim.cron.db	Thu Sep 21 08:46:16 2006
@@ -1,5 +1,10 @@
 #!/bin/sh
 cd /
-/usr/bin/find /var/spool/exim/db -maxdepth 1 -name '*.lockfile' -or -type f -printf '%f\0' | xargs -0r -n 1 /usr/bin/exim_tidydb /var/spool/exim > /dev/null
+
+SPOOLDIR="$(/usr/bin/exim -bP spool_directory | /bin/sed 's/.*=[[:space:]]\(.*\)/\1/')"
+
+[ ! -d "$SPOOLDIR" ] && echo "Spooldir [$SPOOLDIR] is not a directory" && exit 1
+
+/usr/bin/find $SPOOLDIR -maxdepth 1 -name '*.lockfile' -or -type f -printf '%f\0' | xargs -0r -n 1 /usr/bin/exim_tidydb $SPOOLDIR > /dev/null
 
 exit 0
================================================================

---- CVS-web:
    http://cvs.pld-linux.org/SOURCES/exim.cron.db?r1=1.7&r2=1.8&f=u



More information about the pld-cvs-commit mailing list